ru.bitel.bgbilling.modules.inet.access.sa

## Class ServiceActivatorAdapter

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.access.sa.ServiceActivatorAdapter

- All Implemented Interfaces:
    ServiceActivator
  Direct Known Subclasses:
    AbstractServiceActivator

      public abstract class ServiceActivatorAdapter
      extends java.lang.Object
      implements ServiceActivator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceActivatorAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `connect()` Подключение к устройству для работы с ним.
    `java.lang.Object` | `connectionClose(ServiceActivatorEvent e)` Закрытие (принудительное) соединения.
    `java.lang.Object` | `connectionModify(ServiceActivatorEvent e)` Изменение соединения.
    `java.lang.Object` | `destroy()` Утилизация обработчика.
    `java.lang.Object` | `disconnect()` Отключение от устройства.
    `java.lang.Object` | `init(int moduleId, InetDevice device, InetDeviceType deviceType, ParameterMap config)` Deprecated.
    `java.lang.Object` | `init(Setup setup, int moduleId, InetDevice device, InetDeviceType deviceType, ParameterMap config)` Инициализация обработчика.
    `java.lang.Object` | `onAccountingStart(ServiceActivatorEvent event)` Обработка старта соединения.
    `java.lang.Object` | `onAccountingStop(ServiceActivatorEvent event)` Обрабтка стопа соединения.
    `java.lang.Object` | `serviceCancel(ServiceActivatorEvent e)` Удаление сервиса (по событию удаления или окончания периода действия).
    `java.lang.Object` | `serviceCreate(ServiceActivatorEvent e)` Создание сервиса (по событию добавления или началу периода действия)
    `java.lang.Object` | `serviceModify(ServiceActivatorEvent e)` Изменение сервиса (подключение/отключение/изменение скорости).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceActivatorAdapter

          public ServiceActivatorAdapter()

  - ### Method Detail

    - #### init

          public java.lang.Object init(Setup setup,
                                       int moduleId,
                                       InetDevice device,
                                       InetDeviceType deviceType,
                                       ParameterMap config)
                                throws java.lang.Exception

      Description copied from interface: `ServiceActivator`
      Инициализация обработчика. Вызывается после создания объекта.
      Specified by:
        `init` in interface `ServiceActivator`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### init

          @Deprecated
          public java.lang.Object init(int moduleId,
                                                   InetDevice device,
                                                   InetDeviceType deviceType,
                                                   ParameterMap config)
                                            throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### destroy

          public java.lang.Object destroy()
                                   throws java.lang.Exception

      Description copied from interface: `ServiceActivator`
      Утилизация обработчика. Вызывается перед уничтожением объекта.
      Specified by:
        `destroy` in interface `ServiceActivator`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### connect

          public java.lang.Object connect()
                                   throws java.lang.Exception

      Description copied from interface: `ServiceActivator`
      Подключение к устройству для работы с ним.
      Specified by:
        `connect` in interface `ServiceActivator`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### disconnect

          public java.lang.Object disconnect()
                                      throws java.lang.Exception

      Description copied from interface: `ServiceActivator`
      Отключение от устройства.
      Specified by:
        `disconnect` in interface `ServiceActivator`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### connectionClose

          public java.lang.Object connectionClose(ServiceActivatorEvent e)
                                           throws java.lang.Exception

      Description copied from interface: `ServiceActivator`
      Закрытие (принудительное) соединения.
      Обычно вызывается при `AccessCodes.TOO_MANY_SESSIONS_ERROR` или из метода `ServiceActivator.connectionModify(ServiceActivatorEvent)`
      Specified by:
        `connectionClose` in interface `ServiceActivator`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### connectionModify

          public java.lang.Object connectionModify(ServiceActivatorEvent e)
                                            throws java.lang.Exception

      Description copied from interface: `ServiceActivator`
      Изменение соединения. Вызывается при изменении набора опции на соединении или при изменении состояния.
      Обычно, при `ServiceActivatorEvent.getNewState()` == `InetServ.STATE_DISABLE` из этого метода происходит вызов метода `ServiceActivator.connectionClose(ServiceActivatorEvent)`
      Specified by:
        `connectionModify` in interface `ServiceActivator`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### serviceCreate

          public java.lang.Object serviceCreate(ServiceActivatorEvent e)
                                         throws java.lang.Exception

      Description copied from interface: `ServiceActivator`
      Создание сервиса (по событию добавления или началу периода действия)
      Specified by:
        `serviceCreate` in interface `ServiceActivator`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### serviceCancel

          public java.lang.Object serviceCancel(ServiceActivatorEvent e)
                                         throws java.lang.Exception

      Description copied from interface: `ServiceActivator`
      Удаление сервиса (по событию удаления или окончания периода действия).
      Specified by:
        `serviceCancel` in interface `ServiceActivator`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### serviceModify

          public java.lang.Object serviceModify(ServiceActivatorEvent e)
                                         throws java.lang.Exception

      Description copied from interface: `ServiceActivator`
      Изменение сервиса (подключение/отключение/изменение скорости). Вызывается при изменении набора опций или изменении состояния сервиса
      Specified by:
        `serviceModify` in interface `ServiceActivator`
      Returns:
      Throws:
        `java.lang.Exception`
      See Also:
        `ServiceActivatorEvent`, `ServiceActivatorEvent#getNewState()}`

    - #### onAccountingStart

          public java.lang.Object onAccountingStart(ServiceActivatorEvent event)
                                             throws java.lang.Exception

      Description copied from interface: `ServiceActivator`
      Обработка старта соединения.
      Specified by:
        `onAccountingStart` in interface `ServiceActivator`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### onAccountingStop

          public java.lang.Object onAccountingStop(ServiceActivatorEvent event)
                                            throws java.lang.Exception

      Description copied from interface: `ServiceActivator`
      Обрабтка стопа соединения.
      Specified by:
        `onAccountingStop` in interface `ServiceActivator`
      Returns:
      Throws:
        `java.lang.Exception`